Subject: [rtcweb] Rohan Red Cross Use Case

From: Cullen Jennings <[email-masked]>
Date: Mon, 18 Jul 2011 11:30:26 -0700

I'd like to add an use case along the following lines...

Rohan works for international aid agency and deploys wireless networks in places where disasters have wiped out all the existing infrastructure. There's just been an earthquake in Haiti. Betty works for Canada Red Cross and need to get the Red Cross location in Haiti connected to other aid groups in Haiti to help arrange complex logistics of things like what order various aid agencies are even going to use the limited resources of the runway at the airport. Rohan and Betty both use the AidNet web application for communicating and have cached copies using the HTML5 offline support on their computers or, if they can't get their computers into the country, can at least get copy in via USB key and find a local computer with a browser. Rohan sets up a wireless access point on the tallest thing he can find and managed to provide wireless coverage for many square miles. Betty connects to that and manages to call Rohan to coordinate and let Rohan know the location of RedCross so that better wireless can be arranged there. 

This one more or less one of the use cases for P2PSIP work to be able to set up an ad hoc voice communications system before one even had access to DNS server or any global internet infrastructure. I think that the whole P2PSIP system could be done inside browser (or a system similar to it). The underling transport of P2PSIP is very close to the proposal here including the use of ICE. One would probably need to define a new transport that an Reload overlay could use but other than that, I think one could meet this use case using something along the lines of Reload running in browser. 

It gets more interesting as you add work such as what is a happening in the VIPR WG. The browser on the mobile could have access the the call logs for calls made over the cellular voice part of the phone. That would allow the browser to run the VIPR related protocols and be able to receive VoIP calls for that number.